Subject: RE: Is the name of option "T33S" correct?

From: Dan Wing <[email-masked]>
Date: Mon, 22 May 2000 07:18:08 -0700 (PDT)

On Mon, 22 May 2000 10:06 -0400, James Rafferty wrote:

> So, the Note could be revised to clarify the point that the rules for
> T.30 and T.33 subaddresses are identical for the case where a single
> address (extension) is contained in the T.30 subaddress.
> 
> Thus, the note could read:
> 
> "Note:
>      In T.33, the "#" character is used to specify multiple  subaddresses.
>      However, only digits are permitted in the <sub-addr>  field defined
>      by this document.  Refer to section 4.1 in case  multiple <sub-addr>
>      per <fax-mbox> need to be specified.  For the case of a single
> subaddress, 
>      such as will be contained in the <sub-addr> field, gateway implementors
> should be                 	aware that the rules for placement of a
> single numeric subaddress in the T.30 	Subaddress field are consistent
> between T.33 and T.30 (i.e only numeric characters 
> 	are used for addresses and SPACE is used for padding). "   

I'm worried about talking about SPACE, as it isn't legal in <sub-addr>.

How about this.  It takes the above text in a different order with the
common case (single subaddress) first, and the less common case (multiple
subaddress) second.

  Notes:

    For the case of a single subaddress, only numbers are allowed in
    <sub-addr> which is consistent with T.30, T.33, and this document.
    While T.33 uses SPACE to pad its field, padding isn't necessary in the
    <sub-addr> field defined by this document.

    For the case of multiple subaddresses, T.33 specifies the "#"
    character should be used to specify multiple subaddreses.  However,
    only digits are permitted in the <sub-addr> field defined by this
    document.  Refer to section 4.1 in case multiple <sub-addr> per
    per <fax-mbox> need to be specified.

-Dan Wing

---

From: James Rafferty <[email-masked]>
Date: Mon, 22 May 2000 10:06:46 -0400

Dan, Toyoda-san, Tamura-san,  

Yes, I agree with Tamura-san's point that some additional clarification
about the # can be useful.  The point that the behavior of the T.30 SUB
and T.33 are the same for the case of a single extension is probably also a 
useful clarification for implementors.   

None of these are technical changes, but clarifications for implementors, so
it would not hurt (should actually help)the progression to draft standard.

I think Dan's text is a good starting point (see below for some proposed
additions
to this same note).   

Here are some ideas on some clarifications to the draft text in the ID
ietf-fax-minaddrfax-00.txt:  

Section 2

Change

"   In the syntax for the fax address a qualif-type1 element has been
   defined for support of T.33 subaddresses (see section 2 of [13]).
   The use of this element is OPTIONAL, but compliant implementations
   MUST be able to support and correctly interpret it when present.
   Its definition is as follows:

      qualif-type1 = "/" t33-sep "=" sub-addr"

so that the first sentence reads:  

"In the syntax for the fax address a qualif-type1 element has been
   defined for support of T.30/T.33 subaddresses (see section 2 of [13])."

Also, perhaps add on to Dan's note revision as follows:   

> Dan Wing wrote:
> >I agree the text in RFC2304 could be clearer regarding "#".
> >
> >"#" appears to only be useful for multiple subaddresses 
> (reference T.33,
> >7/96 edition, section 4.2).  Section 4.1 of RFC2304 
> describes how multiple
> >subaddresses should be handled.
> >
> >I recommend the "Note" in section 2 of RFC2304, which 
> currently reads:
> >
> >   Note:
> >     See section 4.1 in case multiple sub-addr per fax-mbox 
> need to be
> >     specified.
> >
> >be changed to read:
> >
> >   Note:
So, the Note could be revised to clarify the point that the rules for T.30
and 
T.33 subaddresses are identical for the case where a single address
(extension) is contained in the T.30 subaddress.  

"Note:

James